<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          @click="leftDrawerOpen = !leftDrawerOpen"
          icon="menu"
          aria-label="Menu"
        />
        <q-toolbar-title>
          Hospitaal
        </q-toolbar-title>
      </q-toolbar>
    </q-header>
    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
    >
      <q-list>
        <q-item-label header>Main</q-item-label>
        <q-item to="/home">
          <q-item-section avatar>
            <q-icon name="home" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Home</q-item-label>
          </q-item-section>
        </q-item>
        <q-item to="/floorplan">
          <q-item-section avatar>
            <q-icon name="map" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Floorplan Intensive Care</q-item-label>
          </q-item-section>
        </q-item>
        <q-item to="/about">
          <q-item-section avatar>
            <q-icon name="info" />
          </q-item-section>
          <q-item-section>
            <q-item-label>About</q-item-label>
          </q-item-section>
        </q-item>
        <q-separator spaced />
        <q-item-label header>Departments</q-item-label>
        <q-item
          v-for="(dept, index) in this.depts"
          :key="index"
          :to="'/hospital/departments/' + index"
        >
          <q-item-section avatar>
            <q-icon :name="'far fa-hospital'" />
          </q-item-section>
          <q-item-section>
            <q-item-label>{{dept.name}}</q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-drawer>
    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import HospitalService from '../services/HospitalService'

export default {
  name: 'MyLayout',
  data () {
    return {
      leftDrawerOpen: false,
      depts: [],
      showNumber: true,
      showFacilities: true,
      showPic: true,
      showNextAction: true,
      showData: true,
      darkMode: false
    }
  },
  created () {
    this.hospitalService = new HospitalService()
    this.getDepts()
    this.$q.dark.set(this.darkMode)
  },
  methods: {
    async getDepts () {
      this.depts = await this.hospitalService.getDepartments()
    }
  }
}
</script>
